openapi: 3.0.0
info:
  title: Our Favorites API
  description: "This document describes Autochartist's Our Favorites feature that filters technical opportunities based on\
    \ highest probability of success based on the last 12 months of results.\n\n# API Request Authentication\n\nOur APIs require\
    \ the following url parameters on every call:\n\n_**broker**_**id** – your customer ID on our systems (provided to you)\
    \  \n_**user**_ – a unique ID of the end-user consuming the information. For server-2-Server integrations this would typically\
    \ be your company name  \n_**accounttype**_ – 0 = LIVE, 1 = DEMO  \n**expiry** _– Unix timestamp of when this token will\
    \ expire__________**token**_ – a token generated by MD5(user|\\[accounttype\\]|\\[expiry\\]\\[secretkey\\])\n\nin which\
    \ _secretkey_ is the secret key provided to you, not to be shared with the end-user\n\nNote the ‘|’ (Pipe) character before\
    \ and after the AccountType parameter\n\n``` php\n$expiryDate = time() + (3 * 24 * 60 * 60);\n$userid = “myuserid”;\n\
    $accountType = “0”;\n$secretKey = “secretkey”;\n$token = md5(“${userid}|${accountType}|${expiryDate}${secretKey }”);\n\
    echo $token;\n?>\n\n ```\n\n``` python\nimport hashlib\nimport time\nexpiry_date = int(time.time()) + (3 * 24 * 60 * 60)\n\
    userid = \"myuserid\"\naccount_type = \"0\"\nsecret_key = \"secretkey\"\ntoken = hashlib.md5(f\"{userid}|{account_type}|{expiry_date}{secret_key}\"\
    .encode(\"utf-8\")).hexdigest()\nprint(token)\n\n ```"
  version: 1.0.0
servers:
- url: https://api.autochartist.com
paths:
  /of/resources/config/groups/:
    get:
      tags:
      - Our Favorites
      summary: Groups
      description: "Returns a list of group names for which Our Favorites are available.\n\n#### Return format\n\n*   **Status\
        \ 200** - application/json\n*   The JSON object includes the following keys:\n    *   **items** - a list of groups.\n\
        \        *   **new** - indicate whether the data has been updated since the last request if any.\n        *   **data**\
        \ -\n            *   defaultGroupId - the default group used for GET Best Trade Setups\n            *   symbolGroups\
        \ - a list of groups available\n        *   **links** - an array of HATEOAS links for every group.\n\n#### Requires\
        \ authentication\n\nA valid request with an authorized MD5 token will be accepted"
      parameters:
      - name: broker_id
        in: query
        schema:
          type: string
        description: Broker ID.
        example: '{{broker_id}}'
      - name: locale
        in: query
        schema:
          type: string
        description: 'Locale language tag. This parameter to be used for one locale. To specify more than one locale, use
          the "locales" parameter

          '
        example: '{{locale}}'
      - name: token
        in: query
        schema:
          type: string
        description: Security token. See https://support.autochartist.com/en/knowledgebase/article/security-token-generation
        example: '{{token}}'
      - name: user
        in: query
        schema:
          type: string
        description: Username
        example: '{{user}}'
      - name: expire
        in: query
        schema:
          type: string
        description: Expiry of this link as a unix timestamp
        example: '{{expire}}'
      - name: account_type
        in: query
        schema:
          type: string
        description: DEMO or LIVE
        example: '{{account_type}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              example:
                new: false
                data:
                  defaultGroupId: FX Majors
                  symbolGroups:
                  - id: FX Majors
                    name: FX Majors
                links:
                - rel: results[FX Majors]
                  href: https://component.autochartist.com/of/resources/config/groups/../../results/groups/FX%20Majors?broker_id=604&locale=en&token=c120e13104b623c6dfc80a92755adf63&user=demo@autochartist.com&expire=1648684800&account_type=LIVE
  /of/resources/results/groups/{group}:
    get:
      tags:
      - Our Favorites
      summary: Best Trade Setups
      description: "Returns latest pattern results for the specified symbol group category.\n\nUser configuration is used\
        \ to limit the pattern results search. The pattern search criteria include the following information:\n\n- patterns\n\
        - pattern results\n- symbols\n- intervals\n- exchanges\n- age - number of candles\n- candles delay - For demo accounts,\
        \ any pattern result with age less than 5 is excluded from the results.\n    \n\n#### Return format\n\n- **Status\
        \ 200** - application/json - latest pattern results.\n- The JSON object includes the following keys:\n    - **page**\
        \ - pagination configuration for pagination links.\n    - **items** - a list of pattern result items.\n        - **new**\
        \ - indicate whether the data has been updated since the last request if any.\n        - **data** - pattern result\
        \ item - see \"Fields\" below\n        - **links** - an array of HATEOAS links for chart pattern images of different\
        \ sizes displaying the price graph for the pattern result.\n\n#### Fields\n\nNote that some of the fields below may\
        \ not be applicable to all analysis types.\n\n- **result_type** - The type of trade setup\n- **result_uid** - Internal\
        \ unique identification numbers\n- **direction** - The direction of the forecast\n- **prediction_price_from** - The\
        \ start of the forecast range\n- **prediction_price_to** - The end of the forecast range\n- **pip** - The size of\
        \ a pip for this instrument\n- **exchange** - The exchange to which this symbol belongs\n- **group_name** - The logical\
        \ group to which this symbol belongs\n- **symbol** - The TICKER\n- **symbol_name** - The long name of the symbol\n\
        - **symbol_id** - Internal symbolID (ignore)\n- **interval** - The data interval on which this trade setup was identified\n\
        - **pattern** - The name of the trade setup. If multiple locales are specified then this field will be an array\n\
        - **pattern_list** - If multiple locales are specified then this field will be an array of language specific pattern\
        \ names\n- **complete** - false when this trade setup is not yet fully formed. otherwise True.\n- **identified** -\
        \ Date/Time when this trade setup was identified\n- **age** - The age in candles of the trade setup (difference between\
        \ the current date and the identified date, divided by the 'interval')\n- **length** - The number of candles forming\
        \ this trade setup\n- **found** - Internal timestamp. Ignore.\n- **analysis_text** - Text that describes the identified\
        \ trade setup.\n- **analysis_text_list** - If multiple locales are specified then this field will be an array of language\
        \ specific analysis_text\n- **analysis_text_template** - Text that describes the identified trade setup but the date\
        \ portion of the text will be replaced be the {identified} identifier. This allows developers to customize the text\
        \ for different timezones. If multiple locales are specified then this field will be an array\n- **expires_at** -\
        \ A maximum date/time when this setup should be expired\n- **signal_levels**\n    - **entry_level** - Entry for the\
        \ signal\n    - **stop_loss** - Stop Loss for the signal\n    - **target_level** - Target price\n    - **target_period**\
        \ - Period within which the target price could hit\n\n#### Requires authentication\n\nA valid request with an authorized\
        \ MD5 token will be accepted"
      parameters:
      - name: broker_id
        in: query
        schema:
          type: string
        description: Broker ID.
        example: '{{broker_id}}'
      - name: timezone
        in: query
        schema:
          type: string
        description: User timezone.
        example: '{{timezone}}'
      - name: locale
        in: query
        schema:
          type: string
        description: 'Locale language tag. This parameter to be used for one locale. To specify more than one locale, use
          the "locales" parameter

          '
        example: '{{locale}}'
      - name: token
        in: query
        schema:
          type: string
        description: Security token. See https://support.autochartist.com/en/knowledgebase/article/security-token-generation
        example: '{{token}}'
      - name: user
        in: query
        schema:
          type: string
        description: Username
        example: '{{user}}'
      - name: expire
        in: query
        schema:
          type: string
        description: Expiry of this link as a unix timestamp
        example: '{{expire}}'
      - name: account_type
        in: query
        schema:
          type: string
        description: DEMO or LIVE
        example: '{{account_type}}'
      - name: result_limit
        in: query
        schema:
          type: string
        description: Limit number of items to display in a page. Default is 25.
        example: '{{result_limit}}'
      - name: probability_percentage
        in: query
        schema:
          type: string
        description: '(optional) Return pattern result items with probability percentage greater or equal to the value specified.

          Default is 60.

          Probability percentage ranges are: 60, 65, 70, 75 and 80.'
        example: '{{probability_percentage}}'
      - name: group
        in: path
        schema:
          type: string
        required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              example:
                new: false
                data:
                - new: false
                  data:
                    new: false
                    probabilities:
                      result_uid: 600441720828059101
                      percent: 69.18
                      hod_percent: 70.17
                      hod_correct: 447
                      hod_total: 637
                      symbol_percent: 66.37
                      symbol_correct: 521
                      symbol_total: 785
                      pattern_percent: 63.09
                      pattern_correct: 658
                      pattern_total: 1043
                      forecast: 1.022
                    direction: 1
                    pip: 0
                    exchange: FOREX
                    symbol: EURUSD
                    interval: 60
                    pattern: Falling Wedge
                    complete: true
                    identified: '2022-08-16T14:00:00.000Z'
                    age: 2
                    length: 36
                    result_type: ChartPattern
                    result_uid: 600441720828059101
                    prediction_price_from: 0
                    prediction_price_to: 0
                    group_name: FX Majors
                    symbol_id: 0
                    analysis_text: Falling Wedge has broken through the resistance line at 8/16 14:00. Possible bullish price
                      movement forecast for the next 9 hours towards 1.0220.
                    expires_at: '2022-08-17T15:09:44.108Z'
                    symbol_pip: '1.0E-4'
                  links:
                  - rel: chart-xs
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600441720828059101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=300&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-sm
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600441720828059101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=310&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-md
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600441720828059101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-lg
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600441720828059101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                - new: false
                  data:
                    new: false
                    probabilities:
                      result_uid: 600438428209390101
                      percent: 66.24
                      hod_percent: 69.96
                      hod_correct: 631
                      hod_total: 902
                      symbol_percent: 66.47
                      symbol_correct: 577
                      symbol_total: 868
                      pattern_percent: 65.45
                      pattern_correct: 3360
                      pattern_total: 5134
                      forecast: 1.1529
                    direction: -1
                    pip: 0
                    exchange: FOREX
                    symbol: GBPUSD
                    interval: 1440
                    pattern: Triangle
                    complete: true
                    identified: '2022-08-16T00:00:00.000Z'
                    age: 0
                    length: 51
                    result_type: ChartPattern
                    result_uid: 600438428209390101
                    prediction_price_from: 0
                    prediction_price_to: 0
                    group_name: FX Majors
                    symbol_id: 0
                    analysis_text: Triangle has broken through the support line at 8/16 00:00. Possible bearish price movement
                      forecast for the next 16 days towards 1.1837.
                    expires_at: '2022-08-17T15:09:44.109Z'
                    symbol_pip: '1.0E-4'
                  links:
                  - rel: chart-xs
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600438428209390101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=300&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-sm
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600438428209390101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=310&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-md
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600438428209390101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-lg
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600438428209390101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                - new: false
                  data:
                    new: false
                    probabilities:
                      result_uid: 600410103608667101
                      percent: 66.4
                      hod_percent: 70.61
                      hod_correct: 639
                      hod_total: 905
                      symbol_percent: 67.62
                      symbol_correct: 520
                      symbol_total: 769
                      pattern_percent: 65.38
                      pattern_correct: 3331
                      pattern_total: 5095
                      forecast: 0.652
                    direction: 1
                    pip: 0
                    exchange: FOREX
                    symbol: NZDUSD
                    interval: 1440
                    pattern: Triangle
                    complete: true
                    identified: '2022-08-11T00:00:00.000Z'
                    age: 4
                    length: 47
                    result_type: ChartPattern
                    result_uid: 600410103608667101
                    prediction_price_from: 0
                    prediction_price_to: 0
                    group_name: FX Majors
                    symbol_id: 0
                    analysis_text: Triangle has broken through the resistance line at 8/11 00:00. Possible bullish price movement
                      forecast for the next 10 days towards 0.6520.
                    expires_at: '2022-08-17T15:09:44.109Z'
                    symbol_pip: '1.0E-4'
                  links:
                  - rel: chart-xs
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600410103608667101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=300&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-sm
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600410103608667101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=310&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-md
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600410103608667101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-lg
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600410103608667101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                - new: false
                  data:
                    new: false
                    probabilities:
                      result_uid: 600438424917914101
                      percent: 62.79
                      hod_percent: 69.96
                      hod_correct: 631
                      hod_total: 902
                      symbol_percent: 62.41
                      symbol_correct: 493
                      symbol_total: 790
                      pattern_percent: 55.46
                      pattern_correct: 518
                      pattern_total: 934
                      forecast: 1.3068
                    direction: 1
                    pip: 0
                    exchange: FOREX
                    symbol: USDCAD
                    interval: 1440
                    pattern: Pennant
                    complete: true
                    identified: '2022-08-16T00:00:00.000Z'
                    age: 0
                    length: 27
                    result_type: ChartPattern
                    result_uid: 600438424917914101
                    prediction_price_from: 0
                    prediction_price_to: 0
                    group_name: FX Majors
                    symbol_id: 0
                    analysis_text: Pennant has broken through the resistance line at 8/16 00:00. Possible bullish price movement
                      forecast for the next 8 days towards 1.3068.
                    expires_at: '2022-08-17T15:09:44.109Z'
                    symbol_pip: '1.0E-4'
                  links:
                  - rel: chart-xs
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600438424917914101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=300&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-sm
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600438424917914101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=310&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-md
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600438424917914101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-lg
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600438424917914101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                - new: false
                  data:
                    new: false
                    probabilities:
                      result_uid: 600437468098621101
                      percent: 65.09
                      hod_percent: 55.33
                      hod_correct: 187
                      hod_total: 338
                      symbol_percent: 64.05
                      symbol_correct: 440
                      symbol_total: 687
                      pattern_percent: 65.45
                      pattern_correct: 3360
                      pattern_total: 5134
                      forecast: 0.9531
                    direction: 1
                    pip: 0
                    exchange: FOREX
                    symbol: USDCHF
                    interval: 240
                    pattern: Triangle
                    complete: true
                    identified: '2022-08-15T20:00:00.000Z'
                    age: 5
                    length: 35
                    result_type: ChartPattern
                    result_uid: 600437468098621101
                    prediction_price_from: 0
                    prediction_price_to: 0
                    group_name: FX Majors
                    symbol_id: 0
                    analysis_text: Triangle has broken through the resistance line at 8/15 20:00. Possible bullish price movement
                      forecast for the next 23 hours towards 0.9531.
                    expires_at: '2022-08-17T15:09:44.109Z'
                    symbol_pip: '1.0E-4'
                  links:
                  - rel: chart-xs
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600437468098621101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=300&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-sm
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600437468098621101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=310&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-md
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600437468098621101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-lg
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600437468098621101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                - new: false
                  data:
                    new: false
                    probabilities:
                      result_uid: 600441246410602101
                      percent: 66.75
                      hod_percent: 75.03
                      hod_correct: 541
                      hod_total: 721
                      symbol_percent: 65.96
                      symbol_correct: 969
                      symbol_total: 1469
                      pattern_percent: 65.45
                      pattern_correct: 3360
                      pattern_total: 5134
                      forecast: 137.28
                    direction: 1
                    pip: 0
                    exchange: FOREX
                    symbol: USDJPY
                    interval: 240
                    pattern: Triangle
                    complete: true
                    identified: '2022-08-16T12:00:00.000Z'
                    age: 1
                    length: 111
                    result_type: ChartPattern
                    result_uid: 600441246410602101
                    prediction_price_from: 0
                    prediction_price_to: 0
                    group_name: FX Majors
                    symbol_id: 0
                    analysis_text: Triangle has broken through the resistance line at 8/16 12:00. Possible bullish price movement
                      forecast for the next 6 days towards 137.28.
                    expires_at: '2022-08-17T15:09:44.109Z'
                    symbol_pip: '0.01'
                  links:
                  - rel: chart-xs
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600441246410602101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=300&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-sm
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600441246410602101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=310&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-md
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600441246410602101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-lg
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/ChartPattern_600441246410602101.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                - new: false
                  data:
                    new: false
                    probabilities:
                      result_uid: 600415759780914103
                      percent: 75.85
                      hod_percent: 74.72
                      hod_correct: 334
                      hod_total: 447
                      symbol_percent: 75.61
                      symbol_correct: 530
                      symbol_total: 701
                      pattern_percent: 75.96
                      pattern_correct: 3526
                      pattern_total: 4642
                      forecast: 0.7269
                    direction: 1
                    pip: 0
                    exchange: FOREX
                    symbol: AUDUSD
                    interval: 1440
                    pattern: Resistance
                    complete: true
                    identified: '2022-08-12T00:00:00.000Z'
                    age: 3
                    length: 79
                    result_type: KeyLevel
                    result_uid: 600415759780914103
                    prediction_price_from: 0
                    prediction_price_to: 0
                    group_name: FX Majors
                    symbol_id: 0
                    analysis_text: Broke through Resistance level of 0.7069 at 8/12 00:00. Possible bullish price movement
                      forecast for the next 15 days towards 0.7269.
                    expires_at: '2022-08-17T15:09:44.109Z'
                    symbol_pip: '1.0E-4'
                  links:
                  - rel: chart-xs
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/KeyLevel_600415759780914103.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=300&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-sm
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/KeyLevel_600415759780914103.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=310&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-md
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/KeyLevel_600415759780914103.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-lg
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/KeyLevel_600415759780914103.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                - new: false
                  data:
                    new: false
                    probabilities:
                      result_uid: 600441714644183103
                      percent: 80
                      hod_percent: 78.46
                      hod_correct: 1089
                      hod_total: 1388
                      symbol_percent: 78.75
                      symbol_correct: 1449
                      symbol_total: 1840
                      pattern_percent: 80.65
                      pattern_correct: 9655
                      pattern_total: 11972
                      forecast: 137.73
                    direction: 1
                    pip: 0
                    exchange: FOREX
                    symbol: EURJPY
                    interval: 60
                    pattern: Resistance
                    complete: false
                    identified: '2022-08-16T14:00:00.000Z'
                    age: 2
                    length: 143
                    result_type: KeyLevel
                    result_uid: 600441714644183103
                    prediction_price_from: 0
                    prediction_price_to: 0
                    group_name: FX Majors
                    symbol_id: 0
                    analysis_text: Approaching Resistance level of 137.73 identified at 8/16 14:00. This pattern is still
                      in the process of forming. Possible bullish price movement towards the resistance 137.73 within the
                      next 2 days.
                    expires_at: '2022-08-17T15:09:44.111Z'
                    symbol_pip: '0.01'
                  links:
                  - rel: chart-xs
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/KeyLevel_600441714644183103.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=300&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-sm
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/KeyLevel_600441714644183103.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=310&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-md
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/KeyLevel_600441714644183103.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-lg
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/KeyLevel_600441714644183103.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                - new: false
                  data:
                    new: false
                    probabilities:
                      result_uid: 600441242042277103
                      percent: 80.81
                      hod_percent: 82.72
                      hod_correct: 1173
                      hod_total: 1418
                      symbol_percent: 81.39
                      symbol_correct: 1461
                      symbol_total: 1795
                      pattern_percent: 80.5
                      pattern_correct: 8399
                      pattern_total: 10433
                      forecast: 0.6212
                    direction: -1
                    pip: 0
                    exchange: FOREX
                    symbol: NZDUSD
                    interval: 240
                    pattern: Support
                    complete: false
                    identified: '2022-08-16T12:00:00.000Z'
                    age: 1
                    length: 107
                    result_type: KeyLevel
                    result_uid: 600441242042277103
                    prediction_price_from: 0
                    prediction_price_to: 0
                    group_name: FX Majors
                    symbol_id: 0
                    analysis_text: Approaching Support level of 0.6212 identified at 8/16 12:00. This pattern is still in
                      the process of forming. Possible bearish price movement towards the support 0.6212 within the next 5
                      days.
                    expires_at: '2022-08-17T15:09:44.111Z'
                    symbol_pip: '1.0E-4'
                  links:
                  - rel: chart-xs
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/KeyLevel_600441242042277103.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=300&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-sm
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/KeyLevel_600441242042277103.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=310&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-md
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/KeyLevel_600441242042277103.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
                  - rel: chart-lg
                    href: https://api.autochartist.com/of/resources/results/groups/FX%20Majors/../../../charts/KeyLevel_600441242042277103.png?account_type=LIVE&account_type=LIVE&probability_percentage=60&probability_percentage=60&result_limit=1000&result_limit=1000&broker_id=604&broker_id=604&timezone=UTC&timezone=UTC&expire=1691193600&expire=1691193600&width=330&locale=en&locale=en&user=demo%40autochartist.com&user=demo%40autochartist.com&token=bca494e7099dc1dcac5da42b06f7cd4d&token=bca494e7099dc1dcac5da42b06f7cd4d&height=300
  /of/resources/charts/{type}_{uid}.png:
    get:
      tags:
      - Our Favorites
      summary: Chart Image
      description: 'Returns a png image of the specified type and uid.


        \[type\] - the type from the GET Best Trade Setups result set


        \[uid\] - the result uid from the GET Best Trade setup result set


        ###### Return format


        Image in image/png format.


        ###### Requires authentication


        A valid request with an authorized MD5 token will be accepted.'
      parameters:
      - name: account_type
        in: query
        schema:
          type: string
        description: DEMO or LIVE
        example: '{{account_type}}'
      - name: broker_id
        in: query
        schema:
          type: string
        description: Broker ID.
        example: '{{broker_id}}'
      - name: expire
        in: query
        schema:
          type: string
        description: Expiry of this link as a unix timestamp.
        example: '{{expire}}'
      - name: locale
        in: query
        schema:
          type: string
        description: Locale language tag.
        example: '{{locale}}'
      - name: user
        in: query
        schema:
          type: string
        description: Username
        example: '{{user}}'
      - name: token
        in: query
        schema:
          type: string
        description: Security token. See https://support.autochartist.com/en/knowledgebase/article/security-token-generation
        example: '{{token}}'
      - name: width
        in: query
        schema:
          type: string
        description: 'Chart image width in px.

          Default is 320px.'
        example: '{{width}}'
      - name: height
        in: query
        schema:
          type: string
        description: 'Chart image height in px.

          Default is 240px.'
        example: '{{height}}'
      - name: type
        in: path
        schema:
          type: string
        required: true
      - name: uid
        in: path
        schema:
          type: string
        required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
tags:
- name: Our Favorites
